std::regex_token_iterator< _Bi_iter, _Ch_type, _Rx_traits > Class Template Reference
Regular Expressions

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef basic_regex< _Ch_type, _Rx_traits > | regex_type
typedef sub_match< _Bi_iter > | value_type

## Public Member Functions

| regex_token_iterator ()
template<std::size_t _Nm>
| regex_token_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, const int(&__submatches)[_Nm], regex_constants::match_flag_type __m=regex_constants::match_default)
| regex_token_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, const std::vector< int > &__submatches, regex_constants::match_flag_type __m=regex_constants::match_default)
| regex_token_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, initializer_list< int > __submatches, regex_constants::match_flag_type __m=regex_constants::match_default)
| regex_token_iterator (_Bi_iter __a, _Bi_iter __b, const regex_type &__re, int __submatch=0, regex_constants::match_flag_type __m=regex_constants::match_default)
template<std::size_t _Nm>
| regex_token_iterator (_Bi_iter, _Bi_iter, const regex_type &&, const int(&)[_Nm], regex_constants::match_flag_type=regex_constants::match_default)=delete
| regex_token_iterator (_Bi_iter, _Bi_iter, const regex_type &&, const std::vector< int > &, regex_constants::match_flag_type=regex_constants::match_default)=delete
| regex_token_iterator (_Bi_iter, _Bi_iter, const regex_type &&, initializer_list< int >, regex_constants::match_flag_type=regex_constants::match_default)=delete
| regex_token_iterator (_Bi_iter, _Bi_iter, const regex_type &&, int=0, regex_constants::match_flag_type=regex_constants::match_default)=delete
| regex_token_iterator (const regex_token_iterator &__rhs)
bool | operator!= (const regex_token_iterator &__rhs) const
const value_type & | operator* () const
regex_token_iterator & | operator++ ()
regex_token_iterator | operator++ (int)
const value_type * | operator-> () const
regex_token_iterator & | operator= (const regex_token_iterator &__rhs)
bool | operator== (const regex_token_iterator &__rhs) const

## Public Attributes

const typedef value_type * | pointer
const typedef value_type & | reference

## Detailed Description

### template<typename _Bi_iter, typename _Ch_type = typename iterator_traits<_Bi_iter>::value_type, typename _Rx_traits = regex_traits<_Ch_type>>
class std::regex_token_iterator< _Bi_iter, _Ch_type, _Rx_traits >

Iterates over submatches in a range (or splits a text string).

The purpose of this iterator is to enumerate all, or all specified, matches of a regular expression within a text range. The dereferenced value of an iterator of this class is a std::sub_match object.

Definition at line 2604 of file regex.h.

The documentation for this class was generated from the following files:

- regex.h
- regex.tcc